## ros-kinetic-pr2eus-tutorials 0.3.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2eus_tutorials)

find_package(catkin REQUIRED COMPONENTS)

catkin_package()

install(DIRECTORY euslisp launch scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  )

=== debian/changelog ===
ros-kinetic-pr2eus-tutorials (0.3.14-0xenial) xenial; urgency=high

  * add jsk_interactive_marker (#349 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/349> )
    c.f. https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/348
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 11 Feb 2019 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.3.13-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 14 Jul 2017 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.3.12-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 11 Jul 2017 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.3.11-0xenial) xenial; urgency=high

  * add test code for pr2 dual arm IK (#272 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/272> )
  * Contributors: Chi Wun Au

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 25 Jun 2017 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.3.10-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 02 Mar 2017 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.3.9-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.3.8-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 07 Feb 2017 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.3.7-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Nov 2016 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.3.6-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 02 Nov 2016 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.3.5-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 16 Sep 2016 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.3.4-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 22 Jun 2016 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.3.3-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 28 May 2016 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.3.2-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 26 May 2016 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.3.1-0xenial) xenial; urgency=high

  * [pr2eus_tutorials/package.xml] add roseus_tutorials to run_depend
  * [pr2eus_tutorials/launch/pr2_tabletop.launch] fix camera namespace openni -> kinect_head_c2
  * [pr2eus_tutorials/launch/pr2_tabletop.launch] fix rviz config path
  * [pr2eus_tutorials] cleanup directory
    - move gazebo related launch files to launch/gazebo directory
    - move rviz config file to config directory
    - fix include path in launch files
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 22 May 2016 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.3.0-0xenial) xenial; urgency=high

  * add files for reach object demo.
  * [pr2eus_tutorials] remove dependency to pr2_gazebo.
  * catkinize pr2eus_tutorials
  * Contributors: Kei Okada, Masaki Murooka

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 20 Mar 2016 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.2.1-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 04 Mar 2016 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.2.0-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 03 Nov 2015 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.1.11-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 11 Jun 2015 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.1.10-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 03 Apr 2015 18:49:00 -0000

ros-kinetic-pr2eus-tutorials (0.1.9-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 03 Apr 2015 16:52:00 -0000

ros-kinetic-pr2eus-tutorials (0.1.8-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Feb 2015 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.1.7-0xenial) xenial; urgency=high

  * add empty map in pr2 gazebo startup
  * add startup launch file for gazebo pr2
  * rename parameter and delete unused arg
  * changed pos_z
  * changed codes to be used in hydro
  * add rot_{rpy} arguments to spawn_cylinder.launch
  * add object spawner for gazebo
  * remove absolute path
  * Contributors: YoheiKakiuchi, ohara, tarukosu

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 10 Feb 2015 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.1.6-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 11 May 2014 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.1.5-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 03 May 2014 00:00:00 -0000

ros-kinetic-pr2eus-tutorials (0.1.4-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 02 May 2014 22:28:00 -0000

ros-kinetic-pr2eus-tutorials (0.1.3-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 02 May 2014 18:04:00 -0000

ros-kinetic-pr2eus-tutorials (0.1.2-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 01 May 2014 22:43:00 -0000

ros-kinetic-pr2eus-tutorials (0.1.1-0xenial) xenial; urgency=high

  * fix tabletop launcher
  * update some template_grasp files
  * fixed launch file path by addint _frontend.
  * update parameter at base_trajectory
  * update pr2_gazebo_empty.launch on pr2eus_tutorials
  * fix typo null -> nil
  * comment out dependancy unreleased package
  * update tabletop-sample.l
  * add comment to tabletop-sample.l
  * update files for template grasp
  * fix using arm navigation overridingopenrave
  * temporary backup for migration
  * Added some general comments. Also removed some old commented code that is not used.
  * add one shot subscriber for point cloud
  * fix bug
  * update proc-detection
  * add subscribe-detection-result.l


=== debian/control ===
Source: ros-kinetic-pr2eus-tutorials
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-jsk-pcl-ros, ros-kinetic-pr2eus
Homepage: http://ros.org/wiki/pr2eus_tutorials
Standards-Version: 3.9.2

Package: ros-kinetic-pr2eus-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-jsk-interactive-marker, ros-kinetic-jsk-pcl-ros, ros-kinetic-pr2eus, ros-kinetic-roseus-tutorials
Description: pr2eus_tutorials

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pr2eus-tutorials//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
